/* Pango
 * pango-attributes-private.h: Attributed text
 *
 * Copyright (C) 2000-2002 Red Hat Software
 * Copyright (C) 2001-2003 Sun Microsystems
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __PANGO_ATTRIBUTES_PRIVATE_H__
#define __PANGO_ATTRIBUTES_PRIVATE_H__

#include <pango/pango-attributes.h>

G_BEGIN_DECLS

PangoAttribute *pango_attr_int_copy    (const PangoAttribute *attr);
void            pango_attr_int_destroy (PangoAttribute       *attr);
gboolean        pango_attr_int_equal   (const PangoAttribute *attr1,
					const PangoAttribute *attr2);
PangoAttribute *pango_attr_int_new     (const PangoAttrClass *klass,
					int                   value);

PangoAttribute *pango_attr_float_copy    (const PangoAttribute *attr);
void            pango_attr_float_destroy (PangoAttribute       *attr);
gboolean        pango_attr_float_equal   (const PangoAttribute *attr1,
					  const PangoAttribute *attr2);
PangoAttribute* pango_attr_float_new     (const PangoAttrClass *klass,
					  double                value);

G_END_DECLS

#endif /* __PANGO_ATTRIBUTES_PRIVATE_H__ */
